<launch>
    <!--<include file="$(find searchwing_common_py)/launch/apm.launch" />-->
    <!--<arg name="fcu_url" default="tcp://127.0.0.1:5760" />-->
    <arg name="fcu_url" default="udp://:14550@:14570" />

	<arg name="gcs_url" default="" />
	<arg name="tgt_system" default="1" />
	<arg name="tgt_component" default="1" />
	<arg name="log_output" default="screen" />
	<arg name="fcu_protocol" default="v2.0" />

	<include file="$(find mavros)/launch/node.launch">
		<arg name="pluginlists_yaml" value="$(find searchwing_bringup)/config/apm_pluginlists.yaml" />
		<arg name="config_yaml" value="$(find searchwing_bringup)/config/apm_config.yaml" />

		<arg name="fcu_url" value="$(arg fcu_url)" />
		<arg name="gcs_url" value="$(arg gcs_url)" />
		<arg name="tgt_system" value="$(arg tgt_system)" />
		<arg name="tgt_component" value="$(arg tgt_component)" />
		<arg name="log_output" value="$(arg log_output)" />
		<arg name="fcu_protocol" value="$(arg fcu_protocol)" />

	</include>

    <include file="$(find searchwing_common_py)/launch/staticTf_camr.launch" />
    <include file="$(find searchwing_common_py)/launch/staticTf_caml.launch" />
    <node pkg="rosservice" type="rosservice" name="streamrate" args="call --wait /mavros/set_stream_rate 6 6 1" />

    <!--<include file="$(find searchwing_common_py)/launch/staticTf.launch" />-->
    <!--<include file="$(find searchwing_common_py)/launch/dev_debugVis_flightReplay.launch" />
    <node name="DroneStateManagerNode" pkg="searchwing_common_py" type="DroneStateManagerNode.py" output="screen" args="">
    </node>
    <node name="ImageMetaDataGeneratorNode" pkg="searchwing_common_py" type="ImageMetaDataGeneratorNode.py" output="screen" args="">
        <param name="~i_camName" value="/camera" />
        <param name="~i_cameraTfName" value="cam" />
    </node>
    <node name="ImageSaverNode" pkg="searchwing_common_py" type="ImageSaverNode.py" output="screen" args="">
        <param name="~imgTopic" value="/camera/image/compressed" />
        <param name="~metaTopic" value="/camera/imageMetadata" />
        <param name="~droneStateTopic" value="/searchwing/state" />
    </node>-->

</launch>
